package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchVirtualLogApi;
import com.docus.server.dto.scheduling.management.SchVirtualLogDTO;
import com.docus.server.service.ISchVirtualLogService;
import com.docus.server.vo.scheduling.management.SchVirtualLogVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 虚拟机使用情况 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@RestController
public class SchVirtualLogController implements SchVirtualLogApi {
    @Resource
    private ISchVirtualLogService iSchVirtualLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchVirtualLogVO findById(String id) {
        return iSchVirtualLogService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchVirtualLogVO> search(SearchRequest searchRequest) {
        return iSchVirtualLogService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param schVirtualLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchVirtualLogDTO schVirtualLogDTO) {
        return iSchVirtualLogService.add(schVirtualLogDTO);
    }

    /**
     * 编辑
     *
     * @param schVirtualLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchVirtualLogDTO schVirtualLogDTO) {
        return iSchVirtualLogService.edit(schVirtualLogDTO);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchVirtualLogService.delete(ids);
    }
}
